<?
	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด

      $key=$_GET["key"];
      $nu=$_GET["nu"];
      $name=$_POST["name"];
      $pass01=$_POST["pass01"];
      $pass02=$_POST["pass02"];
	  
	$filename="member.txt";
	if(file_exists($filename)) 
     {	// ถ้ามีไฟล์หัวข้อคำถาม
		$dat01 = file($filename);
         // แยกข้อมูลในแต่ละบรรทัด ออกเป็นฟิลด์ย่อย
		 for($i=0;$i<sizeof($dat01);$i++)
		 {
		      $buf = explode("|X|",$dat01[$i]);
			  if($buf[1]==$user)$num=$i;		   
          }

     $split = explode("|X|",$dat01[0]);

	$Unum=$split[0];
	$Uid=$split[1];
	$Upass=$split[2];
    $Uname=$split[3];
	$c=sizeof($dat01);

    if($pass01=="")  $Upass=$split[2];   else    $Upass=$pass01; 
	
 	$filename="member.txt";
	$FILE=fopen($filename,"w+");
	flock($FILE,2);

	if(file_exists($filename)) 
	  {
		for ($i=0 ; $i<sizeof($dat01) ; $i++)
		{
		   if($nu!=$i)
		              {
						   fputs($FILE,$dat01[$i]);   
					   }  else
					               {                                        
								      fputs($FILE,"$Unum|X|$Uid[1]|X|$Upass|X|$Uname|X|\n");
    
					                }
		}	
      } // end if

	flock($FILE,3);
	fclose($FILE);
//    header("Location:logout.php");
}
else
{
    echo "error"; 
}

?>
